Module
Contents
Index 🔎︎

# GoTo Statement

Fortsätter programkörningen i en subrutin (Sub) eller funktion (Function) på den procedurrad som anges av en etikett.

## Syntax:

se Parametrar

## Parametrar:

    Sub/Function

    statementblock

     Label1

    Label2:

    statementblock

    Exit Sub

    Label1:

    statementblock

    GoTo Label2

    End Sub/Function

Använd GoTo-satsen för att instruera LibreOffice Basic att fortsätta programkörningen på en annan plats i proceduren. Positionen måste anges av en etikett. Du anger en etikett genom att tilldela ett namn och lägga till ett kolontecken efter namnet (:).

Du kan inte använda en GoTo-sats för att hoppa ut ur en subrutin (Sub) eller funktion (Function).

## Exempel:

se Parametrar